@echo off
COLOR 0A
cls
echo.
echo -----------------------------------------------------------
echo    BEFORE PROCEEDING
echo -_-----------------_---------------------------------------
echo.
echo  Please, make sure you have UNINSTALLED all ATI and NVIDIA 
echo  drivers through windows "Programs and Features" from your
echo           control panel and rebooted the system
echo              BEFORE you continue any further.
echo.
echo                           :NOTE:
echo.
echo  Any errors like File or  Registry key "Not Found" are OK!
echo  Those are simply checks  during the clean-up for possible
echo              existing enties in the system.
echo.
echo    All actions possible are logged in "patch.log"-file.
echo -----------------------------------------------------------
mkdir logs
echo. >logs\patch.log
pause

IF EXIST "%SystemRoot%\INF\atiilhag.inf" ( goto ATIOEM ) ELSE ( goto NVIDIACHECK )
IF EXIST "%SystemRoot%\INF\atiilhag.png" ( goto ATIOEM ) ELSE ( goto NVIDIACHECK )
IF EXIST "%SystemRoot%\INF\atiriol6.inf" ( goto ATIOEM ) ELSE ( goto NVIDIACHECK )
IF EXIST "%SystemRoot%\INF\atiriol6.png" ( goto ATIOEM ) ELSE ( goto NVIDIACHECK )
IF EXIST "%SystemRoot%\System32\drivers\atipmdag.sys" ( goto ATIOEM ) ELSE ( goto NVIDIACHECK )

:ATIOEM
cls
echo -----------------------------------------------------------
echo   ATI Microsoft drivers found
echo -----------------------------------------------------------
echo   Clean-up has detected that your system has an Microsoft
echo   default drivers still in the system. You do not have to
echo    remove these files or entries, but it is highly 
echo  recommended because otheriwise you are updated over 
echo   another driver and you will leave secondary graphics 
echo  driver inside your system to mix up with driver you are
echo                    about to install.
echo -----------------------------------------------------------
echo Do you wish to remove these extra drivers from the system ?
echo -----------------------------------------------------------
verify >NUL
choice /C YN
IF %ERRORLEVEL%==1 goto CleanMSATI
IF %ERRORLEVEL%==2 goto NVIDIACHECK


:cleanMSATI
echo ----------------------------------------------------------- >>logs\patch.log
echo   ATI Microsoft drivers removal >>logs\patch.log
echo ----------------------------------------------------------- >>logs\patch.log
echo -----------------------------------------------------------
echo  ATI WDM drivers removal.
echo.
echo Any "File Not Found" or ERROR "Unable to find registry key"
echo is OK. The point of them are to verify locations that there
echo    is nothing there instead of check to, if found remove.
echo.
echo  In clean english it is simply ugly, but faster to process.
echo -----------------------------------------------------------
REG DELETE "HKLM\SYSTEM\CurrentControlSet\services\atiilhag" /F >>logs\patch.log
REG DELETE "HKLM\SYSTEM\CurrentControlSet\services\atiriol6" /F >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\System32\DriverStore\FileRepository\atiilhag.inf*') DO takeown /F %%A /R >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\System32\DriverStore\FileRepository\atiriol6.inf*') DO takeown /F %%A /R >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\System32\DriverStore\FileRepository\C7_9*') DO takeown /F %%A /R >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\System32\DriverStore\FileRepository\CH_9*') DO takeown /F %%A /R >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\System32\DriverStore\FileRepository\C71*') DO takeown /F %%A /R >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\System32\DriverStore\FileRepository\CH1*') DO takeown /F %%A /R >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\System32\DriverStore\FileRepository\atiilhag.inf*') DO cacls %%A /T /E /G Everyone:F >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\System32\DriverStore\FileRepository\atiriol6.inf*') DO cacls %%A /T /E /G Everyone:F >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\System32\DriverStore\FileRepository\C7_9*') DO cacls %%A /T /E /G Everyone:F >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\System32\DriverStore\FileRepository\CH_9*') DO cacls %%A /T /E /G Everyone:F >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\System32\DriverStore\FileRepository\C71*') DO cacls %%A /T /E /G Everyone:F >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\System32\DriverStore\FileRepository\CH1*') DO cacls %%A /T /E /G Everyone:F >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\System32\DriverStore\FileRepository\atiilhag.inf*') DO rmdir /S /Q %%A >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\System32\DriverStore\FileRepository\atiriol6.inf*') DO rmdir /S /Q %%A >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\System32\DriverStore\FileRepository\C7_9*') DO rmdir /S /Q %%A >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\System32\DriverStore\FileRepository\CH_9*') DO rmdir /S /Q %%A >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\System32\DriverStore\FileRepository\C71*') DO rmdir /S /Q %%A >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\System32\DriverStore\FileRepository\CH1*') DO rmdir /S /Q %%A >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\System32\DriverStore\FileRepository\CL_9*') DO takeown /F %%A /R >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\System32\DriverStore\FileRepository\CL_9*') DO cacls %%A /T /E /G Everyone:F >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\System32\DriverStore\FileRepository\CL_9*') DO rmdir /S /Q %%A >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\System32\DriverStore\FileRepository\CL1*') DO takeown /F %%A /R >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\System32\DriverStore\FileRepository\CL1*') DO cacls %%A /T /E /G Everyone:F >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\System32\DriverStore\FileRepository\CL1*') DO rmdir /S /Q %%A >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\winsxs\*atiilhag.inf*') DO takeown /F %%A /R >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\winsxs\*atiriol6.inf*') DO takeown /F %%A /R >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\winsxs\*atiilhag.inf*') DO cacls %%A /T /E /G Everyone:F >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\winsxs\*atiriol6.inf*') DO cacls %%A /T /E /G Everyone:F >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s %SystemRoot%\winsxs\Manifests\*atiilhag*') DO takeown /F %%A >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s %SystemRoot%\winsxs\Manifests\*atiriol6*') DO takeown /F %%A >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s %SystemRoot%\winsxs\Manifests\*atiriol6*') DO cacls %%A /T /E /G Everyone:F >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s %SystemRoot%\winsxs\Manifests\*atiilhag*') DO cacls %%A /T /E /G Everyone:F >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\winsxs\*atiilhag.inf*') DO rmdir /S /Q %%A >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\winsxs\*atiriol6.inf*') DO rmdir /S /Q %%A >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s %SystemRoot%\winsxs\Manifests\*atiilhag*') DO del %%A >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s %SystemRoot%\winsxs\Manifests\*atiriol6*') DO del %%A >>logs\patch.log
del "%SystemRoot%\system32\drivers\atipmdag.sys" >>logs\patch.log
del "%SystemRoot%\INF\atiilhag.*" >>logs\patch.log
del "%SystemRoot%\INF\atiriol6.*" >>logs\patch.log
verify >NUL

:NVIDIACHECK
IF EXIST "%SystemRoot%\INF\nv_lh.inf" ( goto NVIDIAOEM ) ELSE ( goto standard )
IF EXIST "%SystemRoot%\INF\nv_lh.png" ( goto NVIDIAOEM ) ELSE ( goto standard )

:NVIDIAOEM
cls
echo -----------------------------------------------------------
echo   NVIDIA Microsoft drivers found
echo -----------------------------------------------------------
echo   Clean-up has detected that your system has an Microsoft
echo   default drivers still in the system. You do not have to
echo    remove these files or entries, but it is highly 
echo  recommended because otheriwise you are updated over 
echo   another driver and you will leave secondary graphics 
echo  driver inside your system to mix up with driver you are
echo                    about to install.
echo -----------------------------------------------------------
echo Do you wish to remove these extra drivers from the system ?
echo -----------------------------------------------------------
verify >NUL
choice /C YN
IF %ERRORLEVEL%==1 goto CleanMSNVIDIA
IF %ERRORLEVEL%==2 goto standard

:cleanMSNVIDIA
echo ----------------------------------------------------------- >>logs\patch.log
echo   NVIDIA Microsoft drivers removal >>logs\patch.log
echo.
echo Any "File Not Found" or ERROR "Unable to find registry key"
echo is OK. The point of them are to verify locations that there
echo    is nothing there instead of check to, if found remove.
echo.
echo  In clean english it is simply ugly, but faster to process.
echo ----------------------------------------------------------- >>logs\patch.log
REG DELETE "HKLM\SYSTEM\CurrentControlSet\services\nv_lh" /F >>logs\patch.log
REG DELETE "HKLM\SYSTEM\CurrentControlSet\services\nvlddmkm" /F >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\System32\DriverStore\FileRepository\nv_lh.inf*') DO takeown /F %%A /R >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\System32\DriverStore\FileRepository\nv_lh.inf*') DO cacls %%A /T /E /G Everyone:F >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\System32\DriverStore\FileRepository\nv_lh.inf*') DO RMDIR /S /Q %%A >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\winsxs\*nv_lh.inf*') DO takeown /F %%A /R >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s %SystemRoot%\winsxs\Manifests\*nv_lh*') DO takeown /F %%A >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\winsxs\*nv_lh.inf*') DO cacls %%A /T /E /G Everyone:F >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s %SystemRoot%\winsxs\Manifests\*nv_lh*') DO cacls %%A /T /E /G Everyone:F >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s /AD %SystemRoot%\winsxs\*nv_lh.inf*') DO rmdir /S /Q %%A >>logs\patch.log
FOR /F "tokens=*" %%A IN ('dir /b /s %SystemRoot%\winsxs\Manifests\*nv_lh*') DO del %%A >>logs\patch.log
del "%SystemRoot%\INF\nv_lh.*" >>logs\patch.log

:standard
cls
verify >NUL
echo -----------------------------------------------------------
echo   Will now open Device Manager for you to check that all 
echo       adapters reads "Standard VGA Display Adapter".
echo.
echo    If there is anything else in Device Manager "Display
echo   Adapters"-section than "Standard VGA Display Adapter".
echo.
echo  Please, close this window manually now, remove the device
echo    and right click anywhere in device manager window
echo  and choose "scan for Hardware Changes". After done so
echo  Windows will probably ask for reboot which you have to do
echo and then rerun this command prompt/cmd file again to finish
echo                 the clean-up process.
echo -----------------------------------------------------------
echo     If everything in your "Display Adapters"-section is
echo           a-ok press (C)ontinue otherwise (A)bort
echo -----------------------------------------------------------
devmgmt.msc
verify >NUL
choice /C CA /N
IF %ERRORLEVEL%==1 (
goto continueremoval
) ELSE (
goto amdend
)

:continueremoval
IF EXIST "%SystemRoot%\system32\drivers\atikmdag.sys" (
goto ATI
) ELSE (
goto checknv
)

:checknv
IF EXIST "%ProgramData%\NVIDIA" (
goto NVIDIA
) ELSE (
goto nothingfound
)

:ATI
cls
echo --------------------------------------------------------------
echo  Stopping needed services and removing ATI entries.
echo --------------------------------------------------------------
echo -------------------------------------------------------------- >>logs\patch.log
echo  Stopping needed services and removing ATI entries. >>logs\patch.log
echo -------------------------------------------------------------- >>logs\patch.log
sc delete "amdkmdag" >>logs\patch.log
sc delete "amdkmdap" >>logs\patch.log
sc delete "AtiaRecord" >>logs\patch.log
NET STOP "UxSms"
NET STOP "AMD External Events Utility"
sc delete "AMD External Events Utility" >>logs\patch.log
taskkill /f /im sidebar.exe
echo --------------------------------------------------------------
echo  Cleaning Files - ATI Files and Registry entires.
echo --------------------------------------------------------------
echo -------------------------------------------------------------- >>logs\patch.log
echo  Cleaning Files - ATI Files and Registry entires. >>logs\patch.log
echo -------------------------------------------------------------- >>logs\patch.log
verify >NUL
IF EXIST "%SystemRoot%\SysWOW64" (
REG DELETE "HKCU\SOFTWARE\ATI" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\ATI" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\ATI Technologies" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Wow6432Node\ATI" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Wow6432Node\ATI Technologies" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\AMD" /f >>logs\patch.log
REG DELETE "HKCU\SOFTWARE\AMD" /f >>logs\patch.log
REG DELETE "HKCU\Software\Wow6432Node\AMD" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Wow6432Node\AMD" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atiumd64.dll" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atiumd6a.dll" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atitmm64.dll" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atiicdxx.dat" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atimpc64.dll" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atiadlxx.dll" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atiumd6a.cap" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atimuixx.dll" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atiapfxx.exe" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atiapfxx.blb" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atiesrxx.exe" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atieclxx.exe" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atipdl64.dll" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atiedu64.dll" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\ATIDEMGX.dll" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atio6axx.dll" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\aticaldd64.dll" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\aticalrt64.dll" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\aticalcl64.dll" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atipblag.dat" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atiu9p64.dll" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atiuxp64.dll" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atig6pxx.dll" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atig6txx.dll" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atibtmon.exe" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atidxx64.dll" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\ATIODCLI.exe" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\ATIODE.exe" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atiglpxx.dll" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\aticfx64.dll" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atitmp64.dll" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\amdpcom64.dll" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\amdpcom32.dll" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\DRIVERS\ati2erec.dll" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\DRIVERS\atikmpag.sys" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\DRIVERS\atikmdag.sys" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\DRIVERS\atipmdag.sys" /f >>logs\patch.log
REG DELETE "HKLM\SYSTEM\CurrentControlSet\services\Atierecord" /f >>logs\patch.log
toys\SetACL-x64 -on "HKLM\SYSTEM\CurrentControlSet\Enum\Root\LEGACY_AMDKMDAG" -ot reg -actn setowner -ownr "n:Everyone" -rec "Yes" >>logs\patch.log
toys\SetACL-x64 -on "HKLM\SYSTEM\CurrentControlSet\Enum\Root\LEGACY_AMDKMDAG" -ot reg -actn ace -ace "n:Everyone;p:full;m:grant" -rec "Yes" >>logs\patch.log
REG DELETE "HKLM\SYSTEM\CurrentControlSet\Enum\Root\LEGACY_AMDKMDAG" /f >>logs\patch.log
del "%SystemRoot%\system32\ati*.*" >>logs\patch.log
del "%SystemRoot%\System32\amdpcom64.dll >>logs\patch.log
del "%SystemRoot%\system32\drivers\ati2erec.dll" >>logs\patch.log
del "%SystemRoot%\system32\drivers\atikmdag.sys" >>logs\patch.log
del "%SystemRoot%\system32\drivers\atikmpag.sys" >>logs\patch.log
del "%SystemRoot%\ati*.*" >>logs\patch.log
del "%SystemRoot%\sysWOW64\ati*.*" >>logs\patch.log
del "%SystemRoot%\SysWOW64\amdpcom32.dll >>logs\patch.log
del "%SystemRoot%\sysWOW64\CCCInstall*.log" >>logs\patch.log
rmdir /S /Q "%APPDATA%\ATI" >>logs\patch.log
rmdir /S /Q "%LOCALAPPDATA%\ATI" >>logs\patch.log
rmdir /S /Q "%ProgramFiles%\ATI Technologies" >>logs\patch.log
rmdir /S /Q "%ProgramFiles(x86)%\ATI Technologies" >>logs\patch.log
) ELSE (
REG DELETE "HKCU\SOFTWARE\ATI" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\ATI" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\ATI Technologies" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\AMD" /f >>logs\patch.log
REG DELETE "HKCU\SOFTWARE\AMD" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atitmmxx.dll" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atiicdxx.dat" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atiadlxx.dll" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atimuixx.dll" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atiapfxx.exe" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atiapfxx.blb" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atiesrxx.exe" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atieclxx.exe" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\ATIDEMGX.dll" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atipblag.dat" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atibtmon.exe" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\ATIODCLI.exe" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\ATIODE.exe" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atiglpxx.dll" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\atitmpxx.dll" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\amdpcom32.dll" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\DRIVERS\ati2erec.dll" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\DRIVERS\atikmpag.sys" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\DRIVERS\atikmdag.sys" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Setup\PnpLockdownFiles" /v "%%SystemPath%%\system32\DRIVERS\atipmdag.sys" /f >>logs\patch.log
REG DELETE "HKLM\SYSTEM\CurrentControlSet\services\Atierecord" /f >>logs\patch.log
toys\SetACL -on "HKLM\SYSTEM\CurrentControlSet\Enum\Root\LEGACY_AMDKMDAG" -ot reg -actn setowner -ownr "n:Everyone" -rec "Yes" >>logs\patch.log
toys\SetACL -on "HKLM\SYSTEM\CurrentControlSet\Enum\Root\LEGACY_AMDKMDAG" -ot reg -actn ace -ace "n:Everyone;p:full;m:grant" -rec "Yes" >>logs\patch.log
REG DELETE "HKLM\SYSTEM\CurrentControlSet\Enum\Root\LEGACY_AMDKMDAG" /f >>logs\patch.log
del "%SystemRoot%\ati*.*" >>logs\patch.log
del "%SystemRoot%\system32\drivers\ati2erec.dll" >>logs\patch.log
del "%SystemRoot%\system32\drivers\atikmdag.sys" >>logs\patch.log
del "%SystemRoot%\system32\drivers\atikmpag.sys" >>logs\patch.log
del "%SystemRoot%\system32\ati*.*" >>logs\patch.log
del "%SystemRoot%\System32\amdpcom*.dll" >>logs\patch.log
del "%SystemRoot%\system32\CCCInstall*.log" >>logs\patch.log
rmdir /S /Q "%APPDATA%\ATI" >>logs\patch.log
rmdir /S /Q "%LOCALAPPDATA%\ATI" >>logs\patch.log
rmdir /S /Q "%ProgramFiles%\ATI Technologies" >>logs\patch.log
)

verify >NUL
IF EXIST "%ProgramData%\NVIDIA" (
goto NVIDIA
) ELSE (
goto opencl
)

:NVIDIA
cls
echo --------------------------------------------------------------
echo  Cleaning NVIDIA Files
echo --------------------------------------------------------------
echo -------------------------------------------------------------- >>logs\patch.log
echo  Cleaning NVIDIA Files >>logs\patch.log
echo -------------------------------------------------------------- >>logs\patch.log
verify >NUL
IF EXIST "%SystemRoot%\SysWOW64" (
RMDIR /S /Q "%APPDATA%\NVIDIA" >>logs\patch.log
RMDIR /S /Q "%ProgramData%\NVIDIA Corporation" >>logs\patch.log
RMDIR /S /Q "%ProgramData%\NVIDIA" >>logs\patch.log
RMDIR /S /Q "%ProgramFiles%\NVIDIA Corporation" >>logs\patch.log
RMDIR /S /Q "%ProgramFiles(x86)%\NVIDIA Corporation" >>logs\patch.log
del "%SystemRoot%\system32\nvinfo.pb" >>logs\patch.log
del "%SystemRoot%\sysWOW64\nvapi*.*" >>logs\patch.log
del "%SystemRoot%\sysWOW64\nv*codemft.dll" >>logs\patch.log
) ELSE (
RMDIR /S /Q "%APPDATA%\NVIDIA" >>logs\patch.log
RMDIR /S /Q "%ProgramData%\NVIDIA Corporation" >>logs\patch.log
RMDIR /S /Q "%ProgramData%\NVIDIA" >>logs\patch.log
RMDIR /S /Q "%ProgramFiles%\NVIDIA Corporation" >>logs\patch.log
del "%SystemRoot%\system32\nvinfo.pb" >>logs\patch.log
del "%SystemRoot%\system32\nvapi*.*" >>logs\patch.log
del "%SystemRoot%\system32\nv*codemft.dll" >>logs\patch.log
)


:opencl
echo --------------------------------------------------------------
echo  Cleaning Khronos Group OpenCL entries:
echo --------------------------------------------------------------
echo -------------------------------------------------------------- >>logs\patch.log
echo  Cleaning Khronos Group OpenCL entries: >>logs\patch.log
echo -------------------------------------------------------------- >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Khronos" /f >>logs\patch.log
REG DELETE "HKLM\SOFTWARE\Wow6432Node\Khronos" /f >>logs\patch.log
echo --------------------------------------------------------------
echo  Restarting Windows services.
echo --------------------------------------------------------------
NET START "UxSms"

cls
echo --------------------------------------------------------------
echo Checking ATI and NVIDIA extra display adapter Registry Keys
echo --------------------------------------------------------------
echo -------------------------------------------------------------- >logs\Manual_cleanup_entries.log
echo Checking ATI SIDE extra display adapter keys and files: >>logs\Manual_cleanup_entries.log
echo -------------------------------------------------------------- >>logs\Manual_cleanup_entries.log
echo ATI: Registry entries in the system that can be removed: >>logs\Manual_cleanup_entries.log
echo. >>logs\Manual_cleanup_entries.log
REG QUERY HKLM\SYSTEM\CurrentControlSet\Control\Video /f "amdkmdap" /s >>logs\Manual_cleanup_entries.log
echo. >>logs\Manual_cleanup_entries.log
echo --------------------------------------------------------------
echo Checking NVIDIA SIDE extra display adapter keys and files:
echo --------------------------------------------------------------
echo -------------------------------------------------------------- >>logs\Manual_cleanup_entries.log
echo Checking NVIDIA SIDE extra display adapter keys and files: >>logs\Manual_cleanup_entries.log
echo -------------------------------------------------------------- >>logs\Manual_cleanup_entries.log
echo NVIDIA: Registry entries in the system that can be removed: >>logs\Manual_cleanup_entries.log
echo. >>logs\Manual_cleanup_entries.log
REG QUERY HKLM\SYSTEM\CurrentControlSet\Control\Video /f "nvlddmkm" /s >>logs\Manual_cleanup_entries.log
echo. >>logs\Manual_cleanup_entries.log
cls
echo --------------------------------------------------------------
echo If there is an extra registry entries by either NVIDIA or ATI
echo  they are now all logged in "Manual_cleanup_entries.log"-file
echo.
echo    Manually going to these locations and removal of {GUID}
echo is recommended, if either NVIDIA or ATI has more than 1 entry.
echo --------------------------------------------------------------
echo      Do you wish to open registry location and notepad to
echo                 read the log file created ?
echo --------------------------------------------------------------
verify >nul
choice /C YN /N /M "(Y)es or (N)o"
if %ERRORLEVEL%==1 (
notepad.exe logs\Manual_cleanup_entries.log
toys\regjump "HKLM\SYSTEM\CurrentControlSet\Control\Video"
goto end
) ELSE (
goto end
)


:nothingfound
cls
echo --------------------------------------------------------------
echo          No values were found. Clean up is either not
echo                     needed or done already.
echo --------------------------------------------------------------
echo -------------------------------------------------------------- >>logs\patch.log
echo          No values were found. Clean up is either not >>logs\patch.log
echo                     needed or done already. >>logs\patch.log
echo -------------------------------------------------------------- >>logs\patch.log
pause
goto amdend

:end
cls
COLOR 07
echo --------------------------------------------------------------
echo  Sidebar still needs to be started will start now. After this
echo   message you are good to begin installation of the drivers.
echo         (You do not need to run this second time)
echo.
echo  Please close this window manually when you see this message.
echo --------------------------------------------------------------
call "%ProgramFiles%\Windows Sidebar\sidebar.exe"
pause

:amdend
